Name:           pango
Version:        1.50.7
Release:        1
Summary:        System for layout and rendering of internationalized text
License:        LGPLv2+
URL:            https://pango.gnome.org/
Source0:        https://download.gnome.org/sources/%{name}/1.50/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(cairo) >= 1.12.10 pkgconfig(fontconfig) >= 2.13.0 pkgconfig(freetype2) >= 2.1.5
BuildRequires:  pkgconfig(fribidi) >= 1.0.6 pkgconfig(glib-2.0) >= 2.62 pkgconfig(harfbuzz) >= 2.6.0 
BuildRequires:  pkgconfig(xft) >= 2.0.0 pkgconfig(libthai) >= 0.1.9 pkgconfig(gobject-introspection-1.0) 
BuildRequires:  cairo-gobject-devel meson help2man gcc gcc-c++ harfbuzz-help 
BuildRequires:  pango

Requires:       cairo >= 1.12.10 fontconfig >= 2.13.0 freetype >= 2.1.5 fribidi >= 1.0.6
Requires:       glib2 >= 2.62 harfbuzz >= 2.6.0 libXft >= 2.0.0 libthai >= 0.1.9

%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

Pango is designed to be modular; the core Pango layout engine can be used
with different font backends.

The integration of Pango with Cairo provides a complete solution with high
quality text handling and graphics rendering.

%package        devel
Summary:        Development files for pango
Requires:       %{name} = %{version}-%{release} freetype-devel >= 2.1.5
Requires:       glib2-devel >= 2.62 fontconfig-devel >= 2.13.0 cairo-devel >= 1.12.10
Provides:       %{name}-tests = %{version}-%{release}
Obsoletes:      %{name}-tests < %{version}-%{release}

%description    devel
The pango-devel package includes the header files and developer documentation
for the pango package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_docs=true -Dinstall-tests=true
%meson_build

%install
%meson_install

PANGOXFT_SO=$RPM_BUILD_ROOT%{_libdir}/libpangoxft-1.0.so
if ! test -e $PANGOXFT_SO; then
        echo "$PANGOXFT_SO not found; did not build with Xft support?"
        ls $RPM_BUILD_ROOT%{_libdir}
        exit 1
fi

%check

%files
%defattr(-,root,root)
%doc README.md
%license COPYING
%{_libdir}/libpango*-*.so.*
%{_bindir}/%{name}-list
%{_bindir}/%{name}-view
%{_bindir}/%{name}-segmentation
%{_libdir}/girepository-1.0/Pango*-1.0.typelib

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/*.gir
%{_libexecdir}/installed-tests/pango/
%{_datadir}/installed-tests

%files help
%defattr(-,root,root)
%doc NEWS 
%{_mandir}/man1/pango-view.1.*

%changelog
* Mon Oct 31 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.50.7-1
- Upgrade to 1.50.7

* Fri Mar 25 2022 zhanzhimin <zhanzhimin@h-partners.com> - 1.49.3-3
- delete old dynamic library

* Mon Jan 17 2022 xingxing <xingxing9@huawei.com> - 1.49.3-2
- disable layout test

* Fri Dec 17 2021 yangcheng <yangcheng87@huawei.com> - 1.49.3-1
- Upgrade to 1.49.3

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.47.0-1
- Upgrade to 1.47.0
- Update Version, Source0

* Wed May 19 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.46.2-1
- Upgrade to 1.46.2
- Update Version, Source0
- Delete Patch9000,delete stage 'check'(meson_test)

* Mon Jul 20 2020 wangye <wangye70@huawei.com> -1.45.3-1
- Type:bugfix
- Id:NA
- SUG:NA
- Mainline branch update to 1.44.7

* Mon Jun 15 2020 hanhui <hanhui15@huawei.com> -1.44.7-1
- Type:bugfix
- Id:NA
- SUG:NA
- Mainline branch update to 1.44.7

* Thu Mar 19 2020 hexiujun<hexiujun1@huawei.com> - 1.43.0-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:enable test

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Wed Sep 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-2
- Type:cves
- ID:CVE-2019-1010238
- SUG:NA
- DESC:fix CVE-2019-1010238

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-1
- Package Init
